clientEventLogs

1 endpoint
POST/rest/clients/action/eventLog

Submit client event logs

Description:

Submits one or more event log entries from the client for recording on the server.

Precondition:

User must be authenticated.

Response:

Returns the created event log entries.
Request Body
events
ClientEventLogsPostRequest[]

List of client event log entries to submit.


Responses

The event logs have been successfully submitted.

successIds
string[]

List of event IDs successfully logged.

failedIds
string[]

List of event IDs that failed to log.

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Unprocessable Content

Possible error codes: ERR_INVALID_PARAMETER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/clients/action/eventLog" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "events": [
         {
         "created": 1,
         "eventName": "string",
         "successful": true,
         "eventId": "string",
         "data": {},
         "singleLine": "string"
       }
       ]
       }'
Python
import requests

url = "https://{instance}.kiteworks.com/rest/clients/action/eventLog"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "events": [
  {
  "created": 1,
  "eventName": "string",
  "successful": true,
  "eventId": "string",
  "data": {},
  "singleLine": "string"
}
]
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
Responses
{ "successIds": [ "string" ], "failedIds": [ "string" ] }
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_INVALID_PARAMETER", "message": "Invalid Parameter Exception" } ] }
// Error - No Body